package com.bcxin.risk.report.enums;

public enum SurveyPoint {
	
	ENTRANCEQUANTITY {public String getValue(){return "1";} public String getName(){return "出入口数量";}}, 

	WIDTH {public String getValue(){return "2";} public String getName(){return "宽度";}},
	
	LENGTH {public String getValue(){return "3";} public String getName(){return "长度";}},
	
	HEIGHT {public String getValue(){return "4";} public String getName(){return "高度";}},
	
	QUANTITY{public String getValue(){return "5";} public String getName(){return "数量";}},

	LARGESTOREROOM {public String getValue(){return "6";} public String getName(){return "大件储藏间";}},
	
	PACKINGSTOREROOM {public String getValue(){return "7";} public String getName(){return "参展方货物包装储藏间";}},

	FIXEDSEAT {public String getValue(){return "8";} public String getName(){return "固定座位";}},
	
	TEMPORARYSEAT {public String getValue(){return "9";} public String getName(){return "临时座位";}};
	


    public abstract String getValue();
    
    public abstract String getName();
    
    public static SurveyPoint convert(String value){
    	if ( "ENTRANCEQUANTITY".equals(value) ) {
    		return SurveyPoint.ENTRANCEQUANTITY;
    	} else if ("WIDTH".equals(value)) {
    		return SurveyPoint.WIDTH;
    	} else if ("LENGTH".equals(value)) {
    		return SurveyPoint.LENGTH;
    	} else if ("HEIGHT".equals(value)) {
    		return SurveyPoint.HEIGHT;
    	} else if ("QUANTITY".equals(value)) {
    		return SurveyPoint.QUANTITY;
    	} else if ("LARGESTOREROOM".equals(value)) {
    		return SurveyPoint.LARGESTOREROOM;
    	} else if ("PACKINGSTOREROOM".equals(value)) {
    		return SurveyPoint.PACKINGSTOREROOM;
    	}  else if ("FIXEDSEAT".equals(value)) {
    		return SurveyPoint.FIXEDSEAT;
    	} else if ("TEMPORARYSEAT".equals(value)) {
    		return SurveyPoint.TEMPORARYSEAT;
    	} 
    	return null;
    }
    
    public static SurveyPoint convertValue(String value){
      	 if("1".equals(value)){return SurveyPoint.ENTRANCEQUANTITY;}
	   	 else if("2".equals(value)){return SurveyPoint.WIDTH;}
	   	 else if("3".equals(value)){return SurveyPoint.LENGTH;}
	   	 else if("4".equals(value)){return SurveyPoint.HEIGHT;}
	   	 else if("5".equals(value)){return SurveyPoint.QUANTITY;}
	   	 else if("6".equals(value)){return SurveyPoint.LARGESTOREROOM;}
	   	 else if("7".equals(value)){return SurveyPoint.PACKINGSTOREROOM;}
	   	 else if("8".equals(value)){return SurveyPoint.FIXEDSEAT;}
	   	 else if("9".equals(value)){return SurveyPoint.TEMPORARYSEAT;}
	   	 else{return null;}
	}
}
